### Method

# Vips Image foreign_load_invalidate

#### Declaration [src]

    void
    vips_foreign_load_invalidate (
      VipsImage* image
    )

#### Description [src]

Loaders can call this on the image they are making if they see a read error from the load library. It signals “invalidate” on the load operation and will cause it to be dropped from cache.

If we know a file will cause a read error, we don’t want to cache the failing operation, we want to make sure the image will really be opened again if our caller tries again. For example, a broken file might be replaced by a working one.